# Suno Lyrics Generator

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782688665554087936) to try this widget and copy the Pro Config template.

## Usage

Generate lyrics given the prompt. The lyrics can be used in Suno Music Generation

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>prompt</td><td><code>string</code></td><td>lyrics prompt</td><td>Generate the lyrics of a song about love</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name    | Type    | Description                                                                        | File Type |
| ------- | ------- | ---------------------------------------------------------------------------------- | --------- |
| results | `array` | The result of suno api, containing the links, titles, and other useful information |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "results": {
    "status": "complete",
    "text": "[Verse]\nYou came in my life like a shooting star\nLit up my world\nYou're my guiding star\nEvery time I'm with you\nI feel so alive\nNothing else matters\nYou're all that I strive\n\nIn your arms\nI find my sanctuary\nWith your love\nI can face any adversary\nYou're the remedy to all my pain\nIn your love\nI discover peace again\n\n[Verse 2]\nYou're the rhythm that beats within my heart\nEvery single beat\nIt's a brand new start\nTogether we dance to our own melody\nTwo souls entwined\nPure serendipity",
    "title": "All I Need"
  }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/29-suno-lyrics-generator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
